Bug 135062 - cupsd crash on boot
cupsd crash on boot
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
3
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-08 08:55 EDT by Neal Becker
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-08 09:38:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cupstd.conf (21.60 KB, text/plain)
2004-10-08 08:56 EDT, Neal Becker
no flags Details

  None (edit)
Description Neal Becker 2004-10-08 08:55:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux) (KHTML, like Gecko)

Description of problem:
crashes on startup.
> /var/log/messages:
> Oct  8 07:48:50 rpppc1 cupsd: cupsd: Child exited with status 98!
> Oct  8 07:48:50 rpppc1 cups: cupsd startup failed
> 
> /var/log/cups/error_log:
> E [08/Oct/2004:07:48:50 -0400] StartListening: Unable to bind socket for
> address 7f000001:631 - Address already in use.
Please file a bug report and include:

- The version of cups that you have
cups-1.1.21-7
- The version of system-config-printer that you have
system-config-printer-0.6.114-1
- The output of printconf-tui --Xexport, with any passwords edited out
<?xml version="1.0"?>
<adm_context VERSION="0">
  <id NAME="local" SERIAL="1095853624">
    <null/>
    <null/>
    </id>
  <datatree>
    <printconf TYPE="LIST">
      <print_queues TYPE="LIST">
        <gtc28hp ATOMIC="TRUE" TYPE="LIST">
          <alias_list ANONYMOUS="TRUE" TYPE="LIST">
            </alias_list>
          <queue_description TYPE="STRING" VALUE=""/>
          <queue_type TYPE="STRING" VALUE="IPP"/>
          <queue_data TYPE="LIST">
            <ipp_server TYPE="STRING" VALUE="gtc28hp"/>
            <ipp_port TYPE="STRING" VALUE="631"/>
            <ipp_path TYPE="STRING" VALUE="/ipp"/>
            </queue_data>
          <filter_data TYPE="LIST">
            <print_header_page TYPE="BOOL" VALUE="FALSE"/>
            <flags TYPE="LIST">
              <send_FF TYPE="BOOL" VALUE="FALSE"/>
              <convert_text_to_Postscript TYPE="BOOL" VALUE="TRUE"/>
              <rerender_Postscript TYPE="BOOL" VALUE="FALSE"/>
              <assume_data_is_text TYPE="BOOL" VALUE="FALSE"/>
              <send_EOT TYPE="BOOL" VALUE="FALSE"/>
              </flags>
            <mf_type TYPE="STRING" VALUE="MFOMATIC"/>
            <filter_locale TYPE="STRING" VALUE="C"/>
            <printer_id TYPE="STRING" VALUE="HP-LaserJet_8100"/>
            <gs_driver TYPE="STRING" VALUE="Postscript"/>
            <foomatic_defaults ANONYMOUS="TRUE" TYPE="LIST">
              <option_default TYPE="LIST">
                <name TYPE="STRING" VALUE="PreFilter"/>
                <type TYPE="STRING" VALUE="enum"/>
                <default TYPE="STRING" VALUE="No"/>
                </option_default>
              <option_default TYPE="LIST">
                <name TYPE="STRING" VALUE="PageSize"/>
                <type TYPE="STRING" VALUE="enum"/>
                <default TYPE="STRING" VALUE="Letter"/>
                </option_default>
              </foomatic_defaults>
            </filter_data>
          <filter_type TYPE="STRING" VALUE="MAGICFILTER"/>
          <jobsheets TYPE="LIST">
            <start TYPE="STRING" VALUE="none"/>
            <end TYPE="STRING" VALUE="none"/>
            </jobsheets>
          <margins TYPE="LIST">
            <top TYPE="INT" VALUE="36"/>
            <right TYPE="INT" VALUE="36"/>
            <bottom TYPE="INT" VALUE="36"/>
            <left TYPE="INT" VALUE="36"/>
            </margins>
          <lpoptions TYPE="LIST">
            <cpi TYPE="STRING" VALUE="12"/>
            <lpi TYPE="STRING" VALUE="7"/>
            <page-bottom TYPE="STRING" VALUE="86"/>
            <page-left TYPE="STRING" VALUE="57"/>
            <page-right TYPE="STRING" VALUE="57"/>
            <page-top TYPE="STRING" VALUE="72"/>
            <scaling TYPE="STRING" VALUE="100"/>
            <wrap TYPE="STRING" VALUE="true"/>
            </lpoptions>
          </gtc28hp>
        </print_queues>
      <sharing_globals TYPE="LIST">
        <browsing TYPE="BOOL" VALUE="TRUE"/>
        </sharing_globals>
      </printconf>
    </datatree>
  </adm_context>
- Your /etc/cups/cupsd.conf
see attached

Version-Release number of selected component (if applicable):
cups-1.1.21-7

How reproducible:
Always

Steps to Reproduce:
1.boot
2.
3.
    

Additional info:
Comment 1 Neal Becker 2004-10-08 08:56:49 EDT
Created attachment 104934 [details]
cupstd.conf
Comment 2 Neal Becker 2004-10-08 09:02:54 EDT
Problem was there was more than one line saying port 631 in 
cupsd.conf. 
 
Could give a little more informative error message. 
 
Comment 3 Tim Waugh 2004-10-08 09:34:23 EDT
I'm more interested in how it got that way in the first place. :-)
Comment 4 Neal Becker 2004-10-08 09:36:23 EDT
I added the port 631 by merging cupsd.conf with cupsd.conf.rpmnew 
Comment 5 Tim Waugh 2004-10-08 09:38:09 EDT
Oh, okay.  Just wanted to be sure it wasn't a system-config-printer bug.
Comment 6 Trevor Cordes 2004-11-28 08:51:43 EST
I just ran into this also after a FC1->FC2->FC3 upgrade.  I probably
merged the lines in manually, but I don't remember.  It appears you
can't have both a "Port 631" and "Listen 127.0.0.1:631" line in the
same conf file.  This kind of makes sense but it had me stumped for a
while and bugzilla and google searches took a while to reveal
something useful (this bug report).

Perhaps cups should ignore duplicate port specifications or provide a
better error message?

Debugging this problem was nearly impossible as netstat and lsof would
not report 631 as being taken.  I guess it might have if I caught it
at exactly the right moment while cupsd was starting.  My initial
though was another program was hogging 631 and that was not the case.

Note You need to log in before you can comment on or make changes to this bug.